/**
 * Demo of app project.
 * @function apemanDemoApp
 * @param {object} [options] - Optional settings.
 * @returns {function} - Defined app function.
 */

'use strict'

const debug = require('debug')('apeman:demo:app')

/** @lends apemanDemoApp */
function create (options = {}) {
  /**
   * Defined app.
   * @function app
   * @param {object} req - Request object.
   * @param {object} res - Response object.
   * @param {function} next - Pass to next handler.
   */
  function app (req, res, next) {
    next()
  }

  Object.assign(app, {
    /**
     * Description of this app.
     */
    $desc: '__your_app_description__'
  })

  return app
}

module.exports = create
