/**
 * Test case for create.
 * Runs with mocha.
 */
'use strict'

const create = require('../lib/create.js')
const apemanport = require('apemanport')
const co = require('co')
const request = require('apemanrequest')
const apemanApp = require('apeman-app')
const assert = require('assert')

describe('create', () => {
  let server, baseUrl
  before(() => co(function * () {
    let app = create({})
    assert.ok(app)
    let port = yield apemanport.find()
    server = yield apemanApp('testing-app', {
      port,
      configuration: {
        $apps: {
          'testing-app': {
            '/': [
              app
            ]
          }
        }
      }
    })
    baseUrl = `http://localhost:${port}/`
  }))

  after(() => co(function * () {
    yield server.close()
  }))

  it('Send a request', () => co(function * () {
    let res = yield request({
      method: 'GET',
      url: baseUrl
    })
    assert.ok(res)
  }))
})

/* global describe, before, after, it */
